Subject: Re: Lets Standardize Time Representation Formats!!!: WAS Re: New TSTTime definition

From: "Aram Perez" <[email-masked]>
Date: Tue, 03 Aug 1999 10:45:29 -0700

Peter Sylvester wrote:
[snip]
> 
>> My point is that we don't know all the uses yet - and if we limit ourselves
>> to representing time at the same level of granularity that the OS designers
>> thought was relevant - Ahahahahahahah - Well it just seemed a bit funny
>> since we already know that it is not clean enough. If you don't believe me
>> call the stock exchanges and find out what and how they use
>> timedata/timesources for.
> Event arrive in ORDER, and the only relevant thing is the order, and not the
> absolute time value.

But how to you measure ORDER. You can have different types of order, e.g.
alphabetical, numerical and yes even time. So when you state "Event arrive
in ORDER", I'm assuming you mean with respect to time. So I agree with Todd
that having a time structure that will not expire in the near future is
important.

[snip]

Regards,
Aram Perez

---

From: Peter Sylvester <[email-masked]>
Date: Tue, 3 Aug 1999 20:01:24 +0200 (MET DST)

> that having a time structure that will not expire in the near future is

Events arrives in some order, this means that I observe them to arrive
one after another, or I voluntarily decide in what order I place them
which is in fact the real behaviour. 
 
I am the authority that defines the order, and not something else. 
I do NOT mean with respect to time. If at all it is MY time, my counter
is my time, it is just a matter of convenience to use something
that most people will understand. (I have not said that
I don't need an indication of time in a time stamp, I was just taking
about order).

If a CLOCK counts faster than I can count in another way, it is a
sufficient device to create unique stamps in some order.

I agree with you that a time structure that will not expire in the near
future is important, what's wrong with an arbitrary long decimal 
subdivision of a second?

Regards (ooups I forgot to say 'have fun' in my previous message)
Peter

---

From: Peter Sylvester <[email-masked]>
Date: Fri, 6 Aug 1999 17:34:47 +0200 (MET DST)

You might look at the DCS draft: it actually says:

DCSTime ::= CHOICE  {
     genTime                      GeneralizedTime,			
     timeStampToken               [1] SignedData  
}

A timeStampToken is either a DCSToken or a TimeStampToken
defined in [TSA]. If a timeStampToken is present, this indicates
the time provided by another DCS or TSA.